commit ede2f0bed2728757f3bef5f664adfaf921fe88b9
Author: freddy77 <freddy77>
Date:   Thu Jan 24 21:14:55 2008 +0000

    va_list cleanups

diff --git a/ChangeLog b/ChangeLog
index e88e56c..fd76f3b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Thu Jan 24 22:14:31 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/dblib.c src/tds/vstrbuild.c:
+	- va_list cleanups
+
 Thu Jan 24 22:01:41 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/describecol.in:
 	- some additional tests
@@ -91,4 +95,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2476 2008/01/24 21:02:14 freddy77 Exp $
+$Id: ChangeLog,v 1.2477 2008/01/24 21:14:55 freddy77 Exp $
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index 59b3a49..b6950aa 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.320 2008/01/01 23:09:46 freddy77 Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.321 2008/01/24 21:14:55 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -7775,7 +7775,6 @@ dbperror (DBPROCESS *dbproc, DBINT msgno, long errnum, ...)
 	DBLIB_ERROR_MESSAGE constructed_message = { 0, EXCONSISTENCY, NULL };
 	const DBLIB_ERROR_MESSAGE *msg = &default_message;
 	
-	va_list ap;
 	int i, rc = INT_CANCEL;
 	char *os_msgtext = strerror(errnum), *rc_name;
 
@@ -7811,17 +7810,16 @@ dbperror (DBPROCESS *dbproc, DBINT msgno, long errnum, ...)
 			msg = &dblib_error_messages[i];
 			assert(*(pformats - 1) == '\0'); 
 			if(*pformats != '\0') {
+				va_list ap;
 				int result_len, len = 2 * strlen(ptext);
 				char * buffer = calloc(1, len);
-				long save_errnum = errnum;
-				errnum = (long) pformats;
+
 				if (buffer == NULL)
 					break;
 				va_start(ap, errnum);
 				rc = tds_vstrbuild(buffer, len, &result_len, ptext, TDS_NULLTERM, pformats, TDS_NULLTERM, ap);
 				buffer[result_len] = '\0';
 				va_end(ap);
-				errnum = save_errnum;
 				if (TDS_FAIL == rc) {
 					free(buffer);
 					break;
diff --git a/src/tds/vstrbuild.c b/src/tds/vstrbuild.c
index ff521d3..af7a519 100644
--- a/src/tds/vstrbuild.c
+++ b/src/tds/vstrbuild.c
@@ -35,7 +35,7 @@
 #include "tds.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: vstrbuild.c,v 1.14 2007/10/16 15:12:23 freddy77 Exp $");
+TDS_RCSID(var, "$Id: vstrbuild.c,v 1.15 2008/01/24 21:14:55 freddy77 Exp $");
 
 struct string_linked_list
 {
@@ -206,6 +206,5 @@ tds_vstrbuild(char *buffer, int buflen, int *resultlen, char *text, int textlen,
 	}
 	free(params);
 
-	va_end(ap);
 	return rc;
 }

